<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sqlMapConfig PUBLIC "-//ibatis.apache.org//DTD SQL Map Config 2.0//EN" 
"http://ibatis.apache.org/dtd/sql-map-config-2.dtd">
<sqlMapConfig>
  <settings
    cacheModelsEnabled="true"
    enhancementEnabled="true"
    lazyLoadingEnabled="true"
    maxRequests="512"
    maxSessions="128"
    maxTransactions="32"
    useStatementNamespaces="true" />

  <!-- 공통처리 관련 -->
  <sqlMap
    resource="com/eactive/eai/rms/onl/common/dao/ServerInfo.xml" />
  
  <!-- 개발환경/ACL -->
  <sqlMap
    resource="com/eactive/eai/rms/onl/acl/Biz.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/acl/Biz-mariadb.xml" />
        
  <!-- 공통코드명관련 -->
  <!--  sqlMap
    resource="com/eactive/eai/rms/onl/common/dao/Combo-mariadb.xml" /-->
   <!-- sqlMap
    resource="com/eactive/eai/rms/onl/common/CommonDomain.xml" /> 
  <sqlMap
    resource="com/eactive/eai/rms/onl/common/CommonDomain-mariadb.xml" /--> 
  
  <!-- 개발환경/공통코드관리 -->
  <sqlMap
    resource="com/eactive/eai/rms/onl/common/SysDomainMan.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/common/SysDomainMan-mariadb.xml" />

  <!-- 개발환경/어뎁터정보관리 -->
  <sqlMap
    resource="com/eactive/eai/rms/onl/manage/adapter/adapter/Adapter.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/manage/adapter/adapter/Adapter-mariadb.xml" />
  <sqlMap 
      resource="com/eactive/eai/rms/onl/manage/adapter/adapter/AdapterPropGroup.xml" />

  <!-- 개발환경/서비스정보관리 -->
  
  <!-- 1. 메시지 관리 는 sqlMap이 아님 -->
  <sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/eaimsg/EaiMsg.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/eaimsg/EaiMsg-mariadb.xml" />
  <!-- 6. 라우팅 B2B기관  정보관리 -->  
  <!-- <sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/dao/maps/B2BService.xml" />   -->
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/dao/maps/B2BService-mariadb.xml" />  
  <sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/dao/maps/C2RService.xml" /> >
  <sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/dao/maps/C2RService-mariadb.xml" /-->
    
  <!-- 7. 라우팅 특정포트  매핑관리 -->  
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/dao/maps/B2BAdapterMap.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/dao/maps/B2BAdapterMap-mariadb.xml" /-->
  <!-- 9. 비동기 큐 관리 --> 
  <!--10. 비동기 큐 모니터링 관리 -->  
  <!--11. 비동기 큐 수신자 관리 -->  
  <!--12. 업무별 계정계 인스턴스코드 -->  
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/service/BzwkToService.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/service/BzwkToService-mariadb.xml" /-->
   <!--14. 채널정보 모니터링에 업데이트 --> 
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/chnnlinfo/AddB2b-mariadb.xml" /-->    
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/chnnlinfo/AddFailover-mariadb.xml" />  
  <sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/chnnlinfo/AddQueue-mariadb.xml" /-->  
  
  <!--15. Jeju HostHeader Default값 관리 -->  
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/dao/maps/HostHeader.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/dao/maps/HostHeader-mariadb.xml" /-->
   <!--16. 대외기관 관리 -->  
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/insti/OsidInsti-mariadb.xml" /-->
  <!--17. 업체 관리 -->  
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/dao/maps/Company.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/dao/maps/Company-mariadb.xml" /-->
 <!--18. 자원연결정보 -->  
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/manage/serviceinfo/dao/maps/ResourceConn-mariadb.xml" /-->
    
  <!-- 개발환경/전문레이아웃관련 -->
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/admin/rule/LayoutType.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/admin/rule/LayoutType-mariadb.xml" /-->
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/admin/rule/TransformFunc.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/admin/rule/TransformFunc-mariadb.xml" /-->
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/admin/rule/Layout.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/admin/rule/Layout-mariadb.xml" /-->
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/admin/rule/Transform.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/admin/rule/Transform-mariadb.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/admin/rule/TransformMapping.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/admin/rule/TransformMapping-mariadb.xml" /-->

  <!-- MMI Sync -->
  <!-- sqlMap
    resource="com/eactive/eai/rms/ext/mmi/MMISync.xml" />  
  <sqlMap
    resource="com/eactive/eai/rms/ext/mmi/MMISync-mariadb.xml" /-->    
  <!-- EIMS Sync -->
  <!-- sqlMap
    resource="com/eactive/eai/rms/ext/eims/EIMSSync.xml" />  
  <sqlMap
    resource="com/eactive/eai/rms/ext/eims/EIMSSync-mariadb.xml" /-->      
    
  <!-- 개발환경/거래통제 -->
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/admin/control/TransactionCtrl.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/admin/control/TransactionCtrl-mariadb.xml" /-->
    
  <!-- 개발환경/ACL -->
  <sqlMap
    resource="com/eactive/eai/rms/common/acl/User-mariadb.xml" />
    
  <!-- 거래정보/외부인터페이스 -->  
  <sqlMap
    resource="com/eactive/eai/rms/onl/transaction/Interface-mariadb.xml" />
  <!-- 거래정보/거래흐름도 -->  
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/tracking/dao/DbTrackingChart-mariadb.xml" /-->
  
    <!-- 백업 -->
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/backup/DailyBackup-mariadb.xml" />    
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/backup/MonthlyBackup-mariadb.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/backup/Tseaist01-mariadb.xml" />

  <!-- 통계  -->
  <!-- 통계/매체별통계 -->
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/statistics/chnlmdiadstcd/ChnlMdiaDstcdCompareMonthly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/chnlmdiadstcd/ChnlMdiaDstcdDaily.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/chnlmdiadstcd/ChnlMdiaDstcdMonthly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/chnlmdiadstcd/ChnlMdiaDstcdYearly.xml" /-->
  
  <!-- 통계/업무별통계    -->  
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaibzwkdstcd/EaiBzwkDstcdCompareMonthly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaibzwkdstcd/EaiBzwkDstcdDaily.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaibzwkdstcd/EaiBzwkDstcdMonthly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaibzwkdstcd/EaiBzwkDstcdTransition.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaibzwkdstcd/EaiBzwkDstcdYearly.xml" /-->
    
  <!--  통계/서비스별통계 -->
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaisvcname/EaiSvcNameCompareMonthly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaisvcname/EaiSvcNameDaily.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaisvcname/EaiSvcNameErrMonthly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaisvcname/EaiSvcNameErrTopTen-mariadb.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaisvcname/EaiSvcNameMonthly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaisvcname/EaiSvcNameTransition.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/eaisvcname/EaiSvcNameYearly.xml" />
    
  <!-- 통계/기타 -->  
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/statistics/etc/ResponseTimeHourly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/etc/ResponseTimeTopTen-mariadb.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/etc/TransactionHourly-mariadb.xml" /-->
  <!-- 추이분석 -->
  <!-- sqlMap  
    resource="com/eactive/eai/rms/onl/statistics/trand/Transition-mariadb.xml" /-->
    
  <!--  통계/인터페이스코드별통계 -->
  <!-- sqlMap 
    resource="com/eactive/eai/rms/onl/statistics/intfacptrncd/IntfacPtrnCdCompareMonthly.xml" />
  <sqlMap 
    resource="com/eactive/eai/rms/onl/statistics/intfacptrncd/IntfacPtrnCdDaily.xml" />
  <sqlMap 
    resource="com/eactive/eai/rms/onl/statistics/intfacptrncd/IntfacPtrnCdMonthly.xml" />
  <sqlMap 
    resource="com/eactive/eai/rms/onl/statistics/intfacptrncd/IntfacPtrnCdYearly-mariadb.xml" /-->
    
  <!--  통계/통계자료 생성 현황 -->
  <sqlMap 
    resource="com/eactive/eai/rms/onl/statistics/management/StatisticsManagement-mariadb.xml" />
    
  <!-- 통계/표준/비표준별통계 -->
  <!-- sqlMap  
    resource="com/eactive/eai/rms/onl/statistics/stndmsguseyn/StndMsgUseYnCompareMonthly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/stndmsguseyn/StndMsgUseYnDaily.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/stndmsguseyn/StndMsgUseYnMonthly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/stndmsguseyn/StndMsgUseYnYearly-mariadb.xml" /-->
  
  <!-- 업체별 통계 -->
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/statistics/company/CompanyAnnually.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/company/CompanySemiannually.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/company/CompanyQuarterly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/company/CompanyMonthly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/company/CompanyDaily.xml" /-->  
    
  <!-- 시스템별 통계 -->
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/statistics/system/SystemMonthly.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/statistics/system/SystemDaily.xml" /-->  
    
  <!-- 대시보드 -->
  <sqlMap
    resource="com/eactive/eai/rms/onl/common/service/DashboardTarget-mariadb.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/common/service/DashboardTargetForBatch.xml" />
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/dashboard/Dashboard.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/dashboard/DashboardError.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/dashboard/DashboardError-mariadb.xml" /-->
  
<!-- 메타 동기화 -->    
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/meta/MetaSync.xml" /-->
<!-- DB로그삭제 -->      
  <sqlMap
    resource="com/eactive/eai/rms/onl/common/dao/LogTable.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/common/dao/LogTable-mariadb.xml" />
  
<!-- 형상관리 파일 loader -->    
  <sqlMap
    resource="com/eactive/eai/rms/onl/loader/Loader.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/loader/Loader-mariadb.xml" />
  <sqlMap
    resource="com/eactive/eai/rms/onl/loader/History-mariadb.xml" />
    
<!-- 어댑터정보 -->
  <!-- sqlMap
    resource="com/eactive/eai/rms/onl/common/dao/Adapter.xml" /-->

   <!-- sqlMap
    resource="com/eactive/eai/rms/onl/manage/adapter/spcftmadapter/SpcfTmAdapter.xml" />
   <sqlMap
    resource="com/eactive/eai/rms/onl/manage/adapter/spcftmadapter/SpcfTmAdapter-mariadb.xml" /> 
    
   <sqlMap
    resource="com/eactive/eai/rms/onl/manage/adapter/spcftmadapterhistory/SpcfTmAdapterHistory.xml" />
   <sqlMap
    resource="com/eactive/eai/rms/onl/manage/adapter/spcftmadapterhistory/SpcfTmAdapterHistory-mariadb.xml" /-->
    
    <!-- sqlMap
    resource="com/eactive/eai/rms/onl/manage/sna/LuGroup.xml" />
    <sqlMap
    resource="com/eactive/eai/rms/onl/manage/sna/LuGroup-mariadb.xml" /> 
    
    <sqlMap
    resource="com/eactive/eai/rms/onl/manage/sna/LuHost.xml" />
    <sqlMap
    resource="com/eactive/eai/rms/onl/manage/sna/LuHost-mariadb.xml" /> 
    
    <sqlMap
    resource="com/eactive/eai/rms/onl/manage/sna/LuInfo.xml" />
    <sqlMap
    resource="com/eactive/eai/rms/onl/manage/sna/LuInfo-mariadb.xml" /--> 
    
    <sqlMap
    resource="com/eactive/eai/rms/onl/manage/adapter/sna/SnaTracking.xml" />
    
    <!--SNA 속성변경 -->
    <sqlMap
    resource="com/eactive/eai/rms/onl/manage/adapter/sna/SnaAdapter.xml" />
    <sqlMap
    resource="com/eactive/eai/rms/onl/manage/adapter/sna/SnaAdapter-mariadb.xml" />
    
	<!-- JSP 리스트 화면 -->
    <!-- sqlMap
    resource="/com/eactive/eai/rms/onl/statistics/jspforselectlist/JspForSelectList.xml" /-->
    
    <!--라우팅별 서비스조회 -->
    
    <!--일별 거래량조회 -->
    <!-- sqlMap
    resource="com/eactive/eai/rms/onl/statistics/etc/DailyStatistic.xml" /-->
    
    <!--TPS 조회 -->
    <!-- sqlMap
    resource="com/eactive/eai/rms/onl/statistics/etc/TransactionStatistic.xml" /-->
    
    <!--대외기관 현황 조회 -->
    <!-- sqlMap
    resource="com/eactive/eai/rms/onl/statistics/etc/OsidInstiStatistic.xml" /-->
    
    <!-- 유량제어 -->
    <!-- sqlMap resource="com/eactive/eai/rms/onl/admin/inflow/InflowControl.xml" />     
    <sqlMap resource="com/eactive/eai/rms/onl/admin/inflow/InflowControl-mariadb.xml" /-->  
    <!-- 거래일자제어 -->
    <sqlMap resource="com/eactive/eai/rms/onl/admin/useDate/UseDateControl.xml" />     
    <sqlMap resource="com/eactive/eai/rms/onl/admin/useDate/UseDateControl-mariadb.xml" />  
    
    <!-- 형상관리 조회 -->
    <sqlMap resource="com/eactive/eai/rms/onl/loader/Search.xml" />
    
    <!-- 단말접속상태정보 -->
    <!-- sqlMap resource="com/eactive/eai/rms/onl/admin/terminal/TerminalStatus.xml" /-->
    
    <!-- 자동화단말접속상태정보 -->
    <!-- sqlMap resource="com/eactive/eai/rms/onl/admin/terminal/AutomaticTerminalStatus.xml" /-->
    
    <!-- Meta연동을 위한 Local Onl용 -->
    <!-- sqlMap resource="com/eactive/eai/rms/ext/meta/epb/EpbMetaSync.xml" /-->
    
    <!-- 거래실적추출 -->
    <!-- sqlMap resource="com/eactive/eai/rms/ext/tran/epb/TranResultExtract-mariadb.xml" /-->
    
    <!-- 사용자 일괄등록 -->
    <!-- sqlMap resource="com/eactive/eai/rms/common/acl/UserRegistUtil-mariadb.xml" /-->
    
    <!-- 채널세션로그 -->
    <!-- sqlMap resource="com/eactive/eai/rms/onl/admin/session/SessionHistory-mariadb.xml" /-->
    
    <!-- 개발환경/인증서버관리 -->
	
    <!-- eaiMsg 간편삭제 -->
    <!-- sqlMap resource="com/eactive/eai/rms/onl/manage/serviceinfo/eaimsg/EaiMsgEasyDelete-mariadb.xml" /-->

    <!-- 로그추출 -->
    <sqlMap resource="com/eactive/eai/apim/portalstatistics/EAILog-mariadb.xml" />   

</sqlMapConfig>